<template>
    <div class="order-detail">
        <div class="user-info">
            <div class="info-top">
                <span>
                            张印象
                        </span>
                <span>
                            138****0099
                        </span>
            </div>
            <div class="info-bottom">
                <p>北京市北京市朝阳区十里河新华国际广场领先未来</p>
            </div>
        </div>
        <div class="order-info">
            <div class="gift-wrap">
                <h4><i></i><span>礼品信息</span></h4>
                <Cards 
                    img="https://img.yzcdn.cn/vant/ipad.jpeg" 
                    num="2" 
                    price="223" 
                    @click.native="goGoods(2)"
                    title="小熊(Bear)破壁机多功能家用PBJ-B10N1">
                </Cards>
            </div>
            <van-divider />
            <div class="order">
                <h4><i></i><span>订单信息</span></h4>
                <ul>
                    <li>
                        订单编号：269099080776
                    </li>
                    <li>
                        下单时间：<span>2019.09.09 13:00</span>
                    </li>
                    <li>
                        发货日期：<span>2019.09.09</span>
                    </li>
                    <li>
                        订单状态：<span>配送中</span>
                    </li>
                </ul>
            </div>
        </div>
        <div class="logistics-info">
            <h4><i></i><span>物流信息</span></h4>
            <ul>
                <li>
                    物流公司：顺丰快递
                </li>
                <li>
                    物流单号：{{userAgent}}
                </li>
            </ul>
        </div>
    </div>
</template>
<script>
    import {
        Button,
        Divider
    } from "vant";
    import Cards from '@/components/goodsCard/childs/Cards'
    export default {
        name: "OrderDetail",
        components: {
            [Button.name]: Button,
            [Divider.name]: Divider,
            Cards
        },
        data() {
            return {
                active: 0,
                userAgent:null
            }
        },
        created(){
            let apps=['DingTalk','WeChat'];
                let str=navigator.userAgent;
                let isApp=apps.filter((app,index)=>{
                if(str.indexOf(app)!==-1){
                    return app;
                }
                })
            this.userAgent=isApp[0];
        },
        methods:{
            goGoods(id){
                this.$router.push({
                    name:'OrderDetail',
                    query:{
                        id:id
                    }
                })
            }
        }
    };
</script>

<style scope lang="less">
    .order-detail {
        width: 100vw;
        min-height: 100vh;
        background-color: rgba(246, 246, 246, 1);
        padding-top: 10px;
        .user-info {
            height: 41px;
            border-radius: 35.5px;
            display: flex;
            flex-direction: column;
            background-color: #fff;
            padding: 15px 0 15px 52px;
            .info-top {
                display: flex;
                span {
                    line-height: 18px;
                }
                span:nth-child(1) {
                    font-size: 18px;
                    font-weight: bolder;
                    margin-right: 12.5px;
                }
                span:nth-child(2) {
                    font-size: 12px;
                    color: #8E8E93;
                }
            }
            .info-bottom {
                font-size: 12px;
                margin-top: 3px;
                p {
                    line-height: 18px;
                    text-align: left;
                    color: #333333;
                }
            }
        }
        .order-info {
            background-color: #fff;
            margin-top: 10px;
            .gift-wrap {
                .card {
                    padding: 0 7.5px 10px 18px;
                    .price{
                        color: #D7A269;
                    }
                }
            }
            .van-divider {
                margin: 0 5px 0 9px;
            }
            .order {
                ul {
                    margin-left: 18px;
                    li {
                        font-weight: 500;
                        font-size: 12px;
                        line-height: 12px;
                        color: #8E8E93;
                        text-align: left;
                        padding-bottom: 10px;
                    }
                    li:last-of-type{
                        span{
                            color: #D7A269;
                        }
                    }
                }
            }
        }
        .logistics-info {
            margin-top: 10px;
            background-color: #fff;
            ul {
                margin-left: 18px;
                li {
                    font-weight: 500;
                    font-size: 12px;
                    line-height: 12px;
                    color: #8E8E93;
                    text-align: left;
                    padding-bottom: 10px;
                }
            }
        }
        h4 {
            text-align: left;
            line-height: 14px;
            font-size: 14px;
            display: flex;
            padding: 10px 0 10px 0;
            font-weight: bolder;
            i {
                display: inline-block;
                width: 1px;
                height: 12px;
                background-color: #D7A269;
                margin: 0 4.5px 0 7.5px;
            }
            span {
                font-size: 14px;
                line-height: 14px;
            }
        }
    }
</style>
